local my_heat_point = 0
local my_humidity_point = 0
local mymodname = mymodname .. ""

for i in ipairs (colors) do
	local nodename = colors[i][1] .. "_data"
	register_biome({
		name = nodename .. "land",
		node_top = mymodname ..nodename,
		depth_top = 3,
		node_filler = mymodname ..nodename,
		depth_filler = 6,
		node_riverbed = mymodname ..nodename,
		node_stone = mymodname .. nodename .. "_square",
		node_water = mymodname ..nodename,
		depth_riverbed = 2,
		y_max = 300,
		y_min = -31000,
		heat_point = my_heat_point,
		humidity_point = my_humidity_point,
		node_cave_liquid = {"air"},
	})
	
	my_heat_point = my_heat_point + 5 
	my_humidity_point = my_heat_point + 5
end